smtpp(8)

NAME
smtpp - SMTP proxy gateway service

SYNOPSIS
smtpp [-d] [-l[[@]logfile]] [-pport] [-iinternal_ip] [-eexternal_ip] [-hdefault_ip[:port]]

DESCRIPTION
smtpp is SMTP gateway service to allow internal users to access external SMTP servers.

OPTIONS

-I  Inetd mode. Standalone service only.

-d  Daemonise. Detach service from console and run in the background.

-t  Be silenT. Do not log start/stop/accept error records.

-u  Never look for username authentication.

-e  External address. IP address of interface proxy should initiate connections from. By default system will deside which address to use in accordance with routing table.

-i  Internal address. IP address proxy accepts connections to. By default connection to any interface is accepted. It's usually unsafe.

-p  Port. Port proxy listens for incoming connections. Default is 25.

-h  Default destination. It's used if targed address is not specified by user.

-l  Log. By default logging is to stdout. If logfile is specified logging is to file. Under Unix, if '@' preceeds logfile, syslog is used for logging.

-S  Increase or decrease stack size. You may want to try something like -S8192 if you experience 3proxy crashes.

CLIENTS
You can use any MUA (Mail User Agent) with SMTP authentication support. Set client to use internal_ip and port as a SMTP server. Address of real SMTP server must be configured as a part of SMTP username. Format for username is username@server, where server is address of SMTP server and username is user's login on this SMTP server. Login itself may contain '@' sign. Only cleartext authentication is supported, because challenge-response authentication (CRAM-MD5, SPA, etc) requires challenge from server before we know which server to connect.

BUGS
Report all bugs to 3proxy@3proxy.ru

SEE ALSO
3proxy(8), ftppr(8), proxy(8), socks(8), tcppm(8), udppm(8), syslogd(8),
https://3proxy.org/

AUTHORS
3proxy is designed by Vladimir 3APA3A Dubrovin (3proxy@3proxy.ru)